package com.yd.oss.api.service;

import com.yd.common.result.Result;
import com.yd.oss.feign.dto.ApiRelMaterialDto;
import com.yd.oss.feign.request.ApiOssFileListRequest;
import com.yd.oss.feign.response.ApiOssFileListResponse;
import com.yd.oss.service.model.RelObjectMaterial;

import java.util.List;

public interface ApiOssFileService {
    Result<List<ApiOssFileListResponse>> list(ApiOssFileListRequest request);

    Result del(String fileBizId);

    Result updateByMaterial(List<RelObjectMaterial> relObjectMaterialList,
                            List<ApiRelMaterialDto> materialDtoList);

    Result updateByMaterial(String relObjectMaterialBizId,
                            List<String> fileBizIdList);
}
